Description

Currently, changing ticket status is achieved by selecting another status in the ticket edition form.

That way don't help to realize that by changing the status we actually performed an important action in the issue's life. For example, if

you have a bug issue in "need_validation" state (that says that the issue is fixed but it requires tests from the testers/QA ) and you

want to pass it to "fixed", you might not figure that you're actually "validating" the fix and closing the ticket.

It's convenient to see those kind of actions as "actions to perform" instead of side effect of issue status change.

TRAC solves problem this by providing ways to name (via a sentence) each change between two states of a ticket. It then generate

an action choice box that is more clear about what you're actually going to do with this ticket.

I've added 3 screenshots of some tickets in my own TRAC (with an old project that I'd like to migrate to RedMine later) to illustrate

the idea.

Now it's not a perfect solution : making links or buttons would have been even more explicit I think.

Anyway, it would be far more useful for RedMine to allow for naming actions on tickets.

Related issues:

Related to Redmine - Feature #6234: Send email to particular users when statu... New 2010-08-27

History

#1 - 2010-08-26 21:57 - Eric Davis

- Category set to Issues

This would be nice.  It could get difficult due to how many different states and workflows that are allowed on an issue though (and since workflows can

be different based on Roles).

If someone wants to create a plugin to prototype this, I'd be happy to review it.

#2 - 2010-08-26 22:06 - Joël Lamotte

Eric Davis wrote:

This would be nice.  It could get difficult due to how many different states and workflows that are allowed on an issue though (and since

workflows can be different based on Roles).

 That would be totally optional, allowing to setup this feature on specific state transitions.

#3 - 2011-04-18 23:31 - inS klakier

This is definitely something I miss in Redmine. Not only Trac has workflow actions - JIRA also implements them and does it in a nice way - as

hyperlinks on the side bar, just below the issue details. It is very intuitive to update issues using actions (if configured and named properly).

Trac's implementation has a very nice detail - action not only changes status but can be configured to change assignment or do some other useful

stuff. For example, action "accept" (created by default) changes status from any active to "accepted" and assigns the issue to the person who is

logged in :)

But Redmine is so much better than Trac...

#4 - 2011-07-21 16:40 - Tom DeMay
what about this... would this be easier? To have e-mail notifications setup on queries, so when the result of the query changes and e-mail is sent? 

That would provide more flexibility and probably and easier user experience. That's of course if there is a way to do it without creating a performance

problem continually validating queries on every update. To address the performance problem you would only validate queries that have subscribers,

but in the UI warn of potential performance issues of adding subscribers to queries.

#5 - 2011-10-31 09:06 - Daniel Moore

+1 - something similar is required to make workflows useful

#6 - 2012-05-07 21:12 - Rabbit Seagraves

Very interested in this feature, and interested in reviewing a plugin for it.
